--- coffee
namify = require('namify')
---
# {%= name %} {%= badge('fury') %}

> {%= description %}

Used in very specific use cases for stripping certain words from the titles of Yeoman generators, Grunt or gulp plugins, handlebars helpers etc.

## Install
{%= include("install") %}

Install with [bower](https://github.com/bower/bower)

```bash
npm i {%= name %} --save-dev
```

## Usage

```js
var {%= namify(name) %} = require('{%= name %}');

console.log({%= namify(name) %}('one-two-three', 'one'));
//=> two-three

console.log({%= namify(name) %}('one-two-three', ['two', 'three']));
//=> one

// A more practical use case
console.log({%= namify(name) %}('handlebars-helper-foo', ['handlebars', 'helper']));
//=> foo
```

Note that leading and trailing dashes are also stripped.


## Tests

Run `mocha` in the command line.

## Author
{%= contrib("jon") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}