# app-name [![NPM version](https://badge.fury.io/js/app-name.png)](http://badge.fury.io/js/app-name)

> Attempts to derive the "actual" name of a plugin or generator by stripping certain words from the title, allowing it to be used in templates. For example, the "actual" name of `generator-foo` would `foo`.

Used in very specific use cases for stripping certain words from the titles of Yeoman generators, Grunt or gulp plugins, handlebars helpers etc.

## Install
Install with [npm](npmjs.org):

```bash
npm i app-name --save-dev
```


Install with [bower](https://github.com/bower/bower)

```bash
npm i app-name --save-dev
```

## Usage

```js
var appName = require('app-name');

console.log(appName('one-two-three', 'one'));
//=> two-three

console.log(appName('one-two-three', ['two', 'three']));
//=> one

// A more practical use case
console.log(appName('handlebars-helper-foo', ['handlebars', 'helper']));
//=> foo
```

Note that leading and trailing dashes are also stripped.


## Tests

Run `mocha` in the command line.

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License
Copyright (c) 2014 Jon Schlinkert, contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on May 11, 2014._